ZIP_SOURCE_SEEK_WRITE(3)

NAME
zip_source_seek_write - set write offset in zip source

LIBRARY
libzip (-lzip)

SYNOPSIS
zip.h int zip_source_seek_write zip_source_t *source zip_int64_t offset int whence

DESCRIPTION
The function zip_source_seek_write sets the current write offset for source. Just like in fseek(3), depending on the whence argument, the offset is counted relative from:

SEEK_SET
    start of file

SEEK_CUR
    current write offset in file

SEEK_END
    end of file

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_begin_write(3), zip_source_commit_write(3), zip_source_rollback_write(3), zip_source_tell_write(3), zip_source_write(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>